=== debian/changelog ===
slowmovideo-dmo (1:0.6-dmo2) unstable; urgency=medium

  * Build with opencv 4.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Dec 2020 11:04:01 +0100

slowmovideo-dmo (1:0.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Apr 2020 08:53:11 +0200

slowmovideo-dmo (1:0.5+20190211.git6ed913bbf0-dmo3) unstable; urgency=medium

  * Build with opencv 4.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Feb 2020 08:43:18 +0100

slowmovideo-dmo (1:0.5+20190211.git6ed913bbf0-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 13:08:37 +0200

slowmovideo-dmo (1:0.5+20190211.git6ed913bbf0-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Oct 2019 09:12:01 +0200

slowmovideo-dmo (1:0.5+20170829.git32b1902d3f-dmo3) unstable; urgency=medium

  * Swith to debhelper-compat

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Feb 2019 11:33:35 +0100

slowmovideo-dmo (0.5+20170829.git32b1902d3f-dmo2) unstable; urgency=medium

  * Rebuild against libglew2.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Nov 2018 17:29:13 +0100

slowmovideo-dmo (0.5+20170829.git32b1902d3f-dmo1) unstable; urgency=medium

  * Git snapshot with support for opencv 3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Oct 2017 13:23:02 +0200

slowmovideo-dmo (0.5-dmo4) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 17:06:22 +0100

slowmovideo-dmo (0.5-dmo3) unstable; urgency=medium

  * Rebuild against libglew2.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Sep 2016 07:35:36 +0200

slowmovideo-dmo (0.5-dmo2) unstable; urgency=medium

  * Fix kfreebsd FTBFS.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Sep 2016 08:19:04 +0200

slowmovideo-dmo (0.5-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Sep 2016 09:38:16 +0200
