=== debian/control ===
Source: slowmovideo-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/slowmoVideo/slowmoVideo/wiki
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, libopencv-dev (>= 4.2~),
 libjpeg-dev, libpng-dev, libavcodec-dev, libavformat-dev, libavutil-dev,
 libswscale-dev, qtscript5-dev, ocl-icd-opencl-dev, libglew-dev (>= 2.0.0),
 libglu1-mesa-dev, freeglut3-dev, quilt, ninja-build

Package: slowmovideo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: creates slow-motion videos from your footage.
 slowmoVideo is an OpenSource program that creates slow-motion videos from
 your footage.
 .
 But it does not simply make your videos play at 0.01× speed.  You can
 smoothly slow down and speed up your footage, optionally with motion blur.
 .
 How does slow motion work?  slowmoVideo tries to find out where pixels move
 in the video (this information is called Optical Flow), and then uses this
 information to calculate the additional frames between the ones recorded by
 your camera.
 .
 Features
   * Videos in any format supported by ffmpeg can be loaded.  Image
     sequences can also be loaded, so, if you did a timelapse with too few
     frames, slowmoVideo may help as well.
   * slowmoVideo does not work with a constant slowdown factor but with
     curves that allow arbitrary time accelereation/deceleration/reversal.
   * Motion blur can be added, as much as you want.
 .
 See nice example videos here : http://slowmovideo.granjow.net/videos.html
