=== debian/watch ===
version=4

https://github.com/slowmoVideo/slowmoVideo/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
