## slowmovideo-dmo 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,26 +24,28 @@
 #
 include(GetGitRevisionDescription)
 git_describe(VERSION --dirty=-dev)
-if (VERSION)
-				#parse the version information into pieces.
-			  # v0.4.0-123-gdddf621
-				string(REGEX REPLACE "^v([0-9]+)\\..*" "\\1" PROJECT_VERSION_MAJOR "${VERSION}")
-				string(REGEX REPLACE "^v[0-9]+\\.([0-9]+).*" "\\1" PROJECT_VERSION_MINOR "${VERSION}")
-				string(REGEX REPLACE "^v[0-9]+\\.[0-9]+\\.([0-9]+)-.*" "\\1" PROJECT_VERSION_PATCH "${VERSION}")
-				string(REGEX REPLACE "^v[0-9]+\\.[0-9]+-([0-9]+)-.*" "\\1" PROJECT_VERSION_PATCH "${VERSION}")
-				string(REGEX REPLACE "^v[0-9]+\\.[0-9]+\\.[0-9]+-(.*)" "\\1" PROJECT_VERSION_SHA1 "${VERSION}")
-else()
-				set(PROJECT_VERSION_MAJOR "0")
-				set(PROJECT_VERSION_MINOR "5")
-				set(PROJECT_VERSION_PATCH "0")
-endif()
-
-if(NOT PROJECT_VERSION_PATCH)
-				# git describe bug ?
-				set(PROJECT_VERSION_PATCH "0")
-endif()
+
+if (VERSION MATCHES "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))?(-[a-zA-Z0-9]+)?$")
+	string(REGEX REPLACE "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))?(-[a-zA-Z0-9]+)?$" "\\1" PROJECT_VERSION_MAJOR "${VERSION}")
+	string(REGEX REPLACE "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))?(-[a-zA-Z0-9]+)?$" "\\2" PROJECT_VERSION_MINOR "${VERSION}")
+	if (VERSION MATCHES "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))(-[a-zA-Z0-9]+)?$")
+		string(REGEX REPLACE "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))(-[a-zA-Z0-9]+)?$" "\\3" PROJECT_VERSION_PATCH "${VERSION}")
+	else ()
+		set(PROJECT_VERSION_PATCH "0")
+	endif ()
+	if (VERSION MATCHES "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))(-[a-zA-Z0-9]+)$")
+		string(REGEX REPLACE "^v([0-9]+)\\.([0-9]+)(\\.([0-9]+))(-[a-zA-Z0-9]+)$" "\\4" PROJECT_VERSION_SHA1 "${VERSION}")
+	else ()
+		set(PROJECT_VERSION_SHA1 "")
+	endif ()
+else ()
+	set(PROJECT_VERSION_MAJOR "0")
+	set(PROJECT_VERSION_MINOR "6")
+	set(PROJECT_VERSION_PATCH "0")
+endif ()
 
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
+message(STATUS "Building slowmoVideo ${PROJECT_VERSION}")
 configure_file(src/version.h.in version.h)
 
 ### Compiler options ###
@@ -158,10 +160,10 @@
 message(STATUS " libraries: ${OpenCV_LIBS}")
 message(STATUS " include path: ${OpenCV_INCLUDE_DIRS}")
 
-if (${OpenCV_VERSION_MAJOR} EQUAL 3)
-				set(HAS_OCV_VERSION_3 ON)
-else()
-				set(HAS_OCV_VERSION_3 OFF)
+set(OPENCV_OK, TRUE)
+if (${OpenCV_VERSION_MAJOR} LESS 3)
+	message(STATUS "OpenCV version is too old")
+	set(OPENCV_OK, FALSE)
 endif()
 
 include_directories(${OPENCV_INCLUDE_DIRS})
@@ -185,6 +187,9 @@
 if(USE_QT AND FFMPEG_FOUND)
 set(BUILD_SLOWMO "YES")
 #endif(QT_LIBRARIES AND FFMPEG_FOUND)
+endif()
+if(NOT ${OPENCV_OK})
+	set(BUILD_SLOWMO "NO")
 endif()
 if(NOT FFMPEG_SWSCALE_FOUND)
   if(CMAKE_TOOLCHAIN_FILE)
@@ -205,13 +210,12 @@
 add_subdirectory(src/slowmoCLI)
 add_subdirectory(src/slowmoUI)
 add_subdirectory(src/slowmoFlowEdit)
-add_subdirectory(src/slowmoInfo)
 add_subdirectory(src/slowmoRenderer)
 add_subdirectory(src/visualizeFlow)
 if(ENABLE_TESTS)
   SET(QT_USE_QTTEST TRUE)
-  ## add_subdirectory(slowmoVideo/test)
-  add_subdirectory(slowmoVideo/unittests)
+  ## add_subdirectory(srd/test)
+  add_subdirectory(src/unittests)
 endif(ENABLE_TESTS)
 
 ##### SV END #####
@@ -240,7 +244,11 @@
 if(NOT OpenCV_VERSION)
     message("x OpenCV could not be found.")
 else(NOT OpenCV_VERSION)
-    message("* (ok) OpenCV ${OpenCV_VERSION} found at ${OpenCV_INCLUDE_DIRS}.")
+	if(NOT OPENCV_OK)
+		message("x OpenCV version is too old: ${OpenCV_VERSION}")
+	else()
+		message("* (ok) OpenCV ${OpenCV_VERSION} found at ${OpenCV_INCLUDE_DIRS}.")
+	endif()
 endif(NOT OpenCV_VERSION)
 message("* slowmoVideo will be built:                ---${BUILD_SLOWMO}---")
 message("=======================END===========================")
@@ -248,7 +256,7 @@
 
 
 if(NOT BUILD_SLOWMO)
-    error(WARNING "Cannot build slowmoVideo, please install the missing packages first.")
+    message(FATAL_ERROR "Cannot build slowmoVideo, please install the missing packages first.")
 endif(NOT BUILD_SLOWMO)
 
 configure_file(src/config.h.in config.h)
