=== debian/changelog ===
slowmovideo-dmo (1:0.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 09:26:52 +0100

slowmovideo-dmo (1:0.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Oct 2022 08:37:14 +0200

slowmovideo-dmo (1:0.6-dmo4) unstable; urgency=medium

  * Build with opencv 4.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2022 07:30:43 +0200

slowmovideo-dmo (1:0.6-dmo3) unstable; urgency=medium

  * Build with opencv 4.5d

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Nov 2021 09:59:58 +0100
