=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, libopencv-dev (>= 4.2~),
  libjpeg-dev, libpng-dev, libavcodec-dev, libavformat-dev, libavutil-dev,
  libswscale-dev, qtscript5-dev, ocl-icd-opencl-dev, libglew-dev (>= 2.0.0),
- libglu1-mesa-dev, freeglut3-dev, quilt, ninja-build
+ libglu1-mesa-dev, freeglut3-dev, ninja-build
 
 Package: slowmovideo
 Architecture: any
