=== debian/rules ===
#!/usr/bin/make -f

# git clone  https://github.com/slowmoVideo/libsvflow.git src/lib/libsvflow
# cd src/lib/libsvflow
# git reset --hard 7c31a0b

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -Wno-dev

#	exit 1

override_dh_auto_test:
