=== debian/watch ===
version=4

https://github.com/slowmoVideo/slowmoVideo/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
